package com.jeesharp.business.modules.mall.service;

import com.jeesharp.business.modules.mall.entity.MallSeckillSession;
import com.jeesharp.business.modules.mall.vo.MallSeckillSessionQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;

/**
 * 秒杀场次 Service 接口
 */
public interface MallSeckillSessionService extends BaseInterface<MallSeckillSession, MallSeckillSessionQueryVO> {

    void createSession(MallSeckillSession entity);

    void updateSession(MallSeckillSession entity);
List<MallSeckillSession> getActiveSessions();

    void updateSessionStatus();
}
